Customization > Desktop Customization

Linux Lite Widget Not Show

(1/2) > >>

Jesús TEJERINA RIVERA:
Widget not show, problem is:  /etc/conky-lite/widget have old syntax. conky use new syntax.

convert.lua have many errors.

I need "widget file" in new syntax.

Thanks.

Jerry:
Works perfectly here...



Jerry:
New syntax:


--- Code: -----[[

-- Linux Lite Conky Widget
-- Licence - GPLv2 Sharing is Caring
-- Jerry Bezencon - Linux Lite 2022

]]

conky.config = {

-- Gap between borders of screen and text
-- Same thing as passing -x at command line
gap_x = 25,
gap_y = 65,

-- Use Xft?
use_xft = true,

-- Text alpha when using Xft
xftalpha = 0.8,

-- Update interval in seconds
update_interval = 1,

-- This is the number of times Conky will update before quitting.
-- Set to zero to run forever.
total_run_times = 0,

-- Create own window instead of using desktop (required in nautilus)
own_window = true,
own_window_transparent = true,
own_window_argb_visual = true,
own_window_argb_value = 255,
own_window_type = normal,
own_window_class = 'conky-semi',
own_window_hints = 'undecorated,below,sticky,skip_taskbar,skip_pager',

-- Use a background image
background = true,

-- Use double buffering (reduces flicker, may not work for everyone)
double_buffer = true,

-- Maximum width of widget
minimum_width = 310,

-- Draw shades?
draw_shades = true,

-- Draw outlines?
draw_outline = false,

-- Draw borders around text
draw_borders = false,
draw_graph_borders = true,

-- Default colors and also border colors
default_color = white,
-- System is up to date RED
color2 = '#9FEE62',
-- Number of Updates Available GREEN
color3 = '#FF4343',
-- Since your last update YELLOW
color4 = '#EAE11C',

default_shade_color = black,
default_outline_color = white,

-- Text alignment, other possible values are commented
alignment = 'bottom_right',

-- Subtract file system buffers from used memory?
no_buffers = true,

-- Set to true if you want all text to be in uppercase
uppercase = false,

-- Number of cpu samples to average
-- set to 1 to disable averaging
cpu_avg_samples = 2,

-- Force UTF8? note that UTF8 support required XFT
override_utf8_locale = true,

-- Lua rounded corners requirements
lua_load = '/etc/conky-lite/draw_bg.lua',
lua_draw_hook_pre = 'draw_bg',

imlib_cache_size = 0,

-- Distance of text from edge of widget
border_outer_margin = 10,

};

conky.text = [[
${image /etc/conky-lite/logo.png -p 120,130}
# Info
${alignc}${font Noto Sans:bold:size=16}${color ffe082}${exec cat /etc/llver}${font}
${color}
${alignc}${color}${time %A, }${time %e %B %Y}
${color}
${color slate grey}${hr 2}

# System
${alignc}${font Noto Sans:bold:size=13}${color ffe082}System Information${font}
${color}
${color}CPU Usage: ${alignr}$cpu%
${color}Memory Total: ${color}${alignr}${memmax}
${color}Memory Used: ${color}${alignr}${mem}
${color}Logged in as: ${alignr}${color}$USER
${color}Firewall Status: ${alignr}${execpi 5 /etc/conky-lite/fwchk}
${color}
${color}${alignc}${exec /usr/bin/acpi | awk '{print $1,$3,$4,$5}'}
${color}
${color slate grey}${hr 2}

# Updates
${alignc}${font Noto Sans:bold:size=13}${color ffe082}Update Status${font}
${color}
${alignc}${execpi 300 /etc/conky-lite/updates}

]];

--- End code ---

Jesús TEJERINA RIVERA:
Yeaaah... Thanks Jerry... now ran ok... I change to spanish and install acpi for view Batery charge...

I have Linux Lite 5.6 under Ubuntu 21.04

SPANISH TEXT:

--[[

-- Linux Lite Conky Widget
-- Licence - GPLv2 Sharing is Caring
-- Jerry Bezencon - Linux Lite 2022

]]

conky.config = {

-- Gap between borders of screen and text
-- Same thing as passing -x at command line
gap_x = 25,
gap_y = 65,

-- Use Xft?
use_xft = true,

-- Text alpha when using Xft
xftalpha = 0.8,

-- Update interval in seconds
update_interval = 1,

-- This is the number of times Conky will update before quitting.
-- Set to zero to run forever.
total_run_times = 0,

-- Create own window instead of using desktop (required in nautilus)
own_window = true,
own_window_transparent = true,
own_window_argb_visual = true,
own_window_argb_value = 255,
own_window_type = normal,
own_window_class = 'conky-semi',
own_window_hints = 'undecorated,below,sticky,skip_taskbar,skip_pager',

-- Use a background image
background = true,

-- Use double buffering (reduces flicker, may not work for everyone)
double_buffer = true,

-- Maximum width of widget
minimum_width = 310,

-- Draw shades?
draw_shades = true,

-- Draw outlines?
draw_outline = false,

-- Draw borders around text
draw_borders = false,
draw_graph_borders = true,

-- Default colors and also border colors
default_color = white,
-- System is up to date
color2 = '#9FEE62',
-- Number of Updates Available
color3 = '#FF4343',

default_shade_color = black,
default_outline_color = white,

-- Text alignment, other possible values are commented
alignment = 'bottom_right',

-- Subtract file system buffers from used memory?
no_buffers = true,

-- Set to true if you want all text to be in uppercase
uppercase = false,

-- Number of cpu samples to average
-- set to 1 to disable averaging
cpu_avg_samples = 2,

-- Force UTF8? note that UTF8 support required XFT
override_utf8_locale = true,

-- Lua rounded corners requirements
lua_load = '/etc/conky-lite/draw_bg.lua',
lua_draw_hook_pre = 'draw_bg',

imlib_cache_size = 0,

-- Distance of text from edge of widget
border_outer_margin = 10,

};

conky.text = [[
${image /etc/conky-lite/logo.png -p 120,150}

# Info
${alignc}${font Noto Sans:bold:size=16}${color ffe082}${exec cat /etc/llver}${font}
${color}
${alignc}${color}${time %A, }${time %e %B %Y}
${color}
${color slate grey}${hr 2}

# System
${alignc}${font Noto Sans:bold:size=13}${color ffe082}Información del Sistema${font}
${color}
${color}CPU usado: ${alignr}$cpu%
${color}Memoria Total: ${color}${alignr}${memmax}
${color}Memoria Usada: ${color}${alignr}${mem}
${color}Usuario: ${alignr}${color}$USER
${color}Firewall: ${alignr}${execpi 5 /etc/conky-lite/fwchk}
${color}
${color}${alignc}${exec /usr/bin/acpi | awk '{print $1,$3,$4,$5}'}
${color}
${color slate grey}${hr 2}

# Updates
${alignc}${font Noto Sans:bold:size=13}${color ffe082}Estado Actualización${font}
${color}
${alignc}${execpi 300 /etc/conky-lite/updates}
]];

Jerry:
acpi is already installed. https://distrowatch.com/table.php?distribution=lite&pkglist=true&version=5.6#pkglist

Navigation

[0] Message Index

[#] Next page

Go to full version